Subject: bug#17183: closed (Re: bug#16981: 24.3.50; electric-pair-delete-adjacent-pairs broken in c-mode, python-mode, maybe-others)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 07 Apr 2014 00:05:05 +0000

Your bug report

#17183: can't insert a quote pair before another

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17183: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17183
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16981: 24.3.50; electric-pair-delete-adjacent-pairs broken in c-mode, python-mode, maybe-others
From: [email-masked] (João Távora)
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], Alan Mackenzie <[email-masked]>
Date: Mon, 07 Apr 2014 01:04:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Monnier <[email-masked]> writes:

> Just take the corresponding diffs (IIRC you can use
> "bzr merge -r116925..r116926 .../trunk" for that) and commit them into
> emacs-24.
>
> Bzr doesn't really know about cherry picking, but if you put
> "backported" into your commit message, our bzrmerge.el script
> will know that this commit is already in the trunk and will know how to
> avoid the corresponding conflicts when merging emacs-24 back into trunk.
>
>> - Three different fixes (bugs 16981,17192 and 17183) not yet pushed that
>> I think you want me to only push to emacs-24, since that will be merged
>> back to trunk later.
>
> Right.

These three I did successfully, but failed miserably in the
backporting. Oh git where art thou... Now I'm downloading a new repo
(with sharing properly setup hopefully), since I must have done
something that messed up my bzr conf, apparently I shouldn't have moved
my repo dir.

Should be done tomorrow morning, so I'll backport r116926 and r116940
then.

Subject: can't insert a quote pair before another
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Date: Fri, 04 Apr 2014 11:03:33 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: Emacs
Version: 24.3.50

emacs -Q -f electric-pair-mode -f text-mode
SPC SPC SPC "
C-a "

The first " inserts a pair of double quotes, like I expect, but the
second refuses to insert anything and instead it jumps forward to after
the first double quote.  Maybe there are cases where that makes sense,
but that's much too clever for me.

The situation where I bumped into it was that I had the text

    I suggest you write "blabla" instead of

and I wanted to turn it into

    I suggest you write "blibli" and "blabla" instead of

so I put point after "write" and wanted to type

    SPC "blibli" SPC and

but instead I had to use C-q " twice, which was rather unpleasant.

        Stefan

In GNU Emacs 24.3.50.1 (i686-pc-linux-gnu, GTK+ Version 2.24.22)
 of 2014-01-07 on faina